Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.ui
Class TableSorter

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.huguesjohnson.ui.TableSorter

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class TableSorter

extends javax.swing.table.AbstractTableModel

See Also:
  Serialized Form

Field Summary
`static int` | `ASCENDING`
`static java.util.Comparator` | `COMPARABLE_COMAPRATOR`
`static int` | `DESCENDING`
`static java.util.Comparator` | `LEXICAL_COMPARATOR`
`static int` | `NOT_SORTED`
`protected javax.swing.table.TableModel` | `tableModel`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`TableSorter()`
`TableSorter(javax.swing.table.TableModel tableModel)`
`TableSorter(javax.swing.table.TableModel tableModel, javax.swing.table.JTableHeader tableHeader)`

Method Summary
`java.lang.Class` | `getColumnClass(int column)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int column)`
`protected java.util.Comparator` | `getComparator(int column)`
`protected javax.swing.Icon` | `getHeaderRendererIcon(int column, int size)`
`int` | `getRowCount()`
`int` | `getSortingStatus(int column)`
`javax.swing.table.JTableHeader` | `getTableHeader()`
`javax.swing.table.TableModel` | `getTableModel()`
`java.lang.Object` | `getValueAt(int row, int column)`
`boolean` | `isCellEditable(int row, int column)`
`boolean` | `isSorting()`
`int` | `modelIndex(int viewIndex)`
`void` | `setColumnComparator(java.lang.Class type, java.util.Comparator comparator)`
`void` | `setSortingStatus(int column, int status)`
`void` | `setTableHeader(javax.swing.table.JTableHeader tableHeader)`
`void` | `setTableModel(javax.swing.table.TableModel tableModel)`
`void` | `setValueAt(java.lang.Object aValue, int row, int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tableModel

    protected javax.swing.table.TableModel tableModel

### DESCENDING

    public static final int DESCENDING

See Also:
  Constant Field Values

### NOT_SORTED

    public static final int NOT_SORTED

See Also:
  Constant Field Values

### ASCENDING

    public static final int ASCENDING

See Also:
  Constant Field Values

### COMPARABLE_COMAPRATOR

    public static final java.util.Comparator COMPARABLE_COMAPRATOR

### LEXICAL_COMPARATOR

    public static final java.util.Comparator LEXICAL_COMPARATOR

Constructor Detail

### TableSorter

    public TableSorter()

### TableSorter

    public TableSorter(javax.swing.table.TableModel tableModel)

### TableSorter

    public TableSorter(javax.swing.table.TableModel tableModel,
                       javax.swing.table.JTableHeader tableHeader)

Method Detail

### getTableModel

    public javax.swing.table.TableModel getTableModel()

### setTableModel

    public void setTableModel(javax.swing.table.TableModel tableModel)

### getTableHeader

    public javax.swing.table.JTableHeader getTableHeader()

### setTableHeader

    public void setTableHeader(javax.swing.table.JTableHeader tableHeader)

### isSorting

    public boolean isSorting()

### getSortingStatus

    public int getSortingStatus(int column)

### setSortingStatus

    public void setSortingStatus(int column,
                                 int status)

### getHeaderRendererIcon

    protected javax.swing.Icon getHeaderRendererIcon(int column,
                                                     int size)

### setColumnComparator

    public void setColumnComparator(java.lang.Class type,
                                    java.util.Comparator comparator)

### getComparator

    protected java.util.Comparator getComparator(int column)

### modelIndex

    public int modelIndex(int viewIndex)

### getRowCount

    public int getRowCount()

### getColumnCount

    public int getColumnCount()

### getColumnName

    public java.lang.String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getColumnClass

    public java.lang.Class getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int column)

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int row,
                           int column)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson